net.sf.okapi.lib.xliff2.walker.selector

## Class XliffWalkerPathSelector

- java.lang.Object
- - net.sf.okapi.lib.xliff2.walker.selector.XliffWalkerPathSelector

-     public class XliffWalkerPathSelector
      extends java.lang.Object

  Class to select node paths (file node --> unit node --> segment node) in XLIFF document to build `FlexibleXliffWalkerStrategy` which is used to traverse XLIFF document via `XliffWalker`
  Author:
    Vladyslav Mykhalets

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XliffWalkerPathSelector.Builder` Builder class for `XliffWalkerPathSelector`
    `static class` | `XliffWalkerPathSelector.NodeType` Enumerations for XLIFF document node type

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALL_NODES_SELECTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XliffWalkerPathSelector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<XliffWalkerPathSelector>` | `getChildrenNodes()`
    `java.lang.String` | `getNodeId()`
    `XliffWalkerPathSelector.NodeType` | `getNodeType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL_NODES_SELECTOR

          public static final java.lang.String ALL_NODES_SELECTOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XliffWalkerPathSelector

          public XliffWalkerPathSelector()

  - ### Method Detail

    - #### getNodeId

          public java.lang.String getNodeId()

    - #### getNodeType

          public XliffWalkerPathSelector.NodeType getNodeType()

    - #### getChildrenNodes

          public java.util.List<XliffWalkerPathSelector> getChildrenNodes()